import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:sk_base_mobile/constants/bg_color.dart';
import 'package:sk_base_mobile/screens/inventory_inout/components/change_icon.dart';
import 'package:sk_base_mobile/screens/inventory_inout/components/today_button.dart';
import 'package:sk_base_mobile/screens/inventory_inout/inventory_inout_controller.dart';
import 'package:sk_base_mobile/util/screen_adaper_util.dart';

class ChangeButtonRow extends StatelessWidget {
  ChangeButtonRow({super.key});
  final controller = Get.put(InventoryInoutController());
  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: EdgeInsets.symmetric(
          horizontal: MediaQuery.sizeOf(context).width * 0.06),
      child: Row(
        children: [
          const TodayButton(),
          const Spacer(),
          ClipOval(
              child: InkWell(
            onTap: () => controller.onMoveBack(),
            child: ChangeIconButton(
                icon: Icon(
              Icons.arrow_back_ios_rounded,
              color: Colors.white,
              size: ScreenAdaper.sp(30),
            )),
          )),
          const SizedBox(
            width: defaultPadding,
          ),
          InkWell(
              onTap: () => controller.onMoveNextPage(),
              child: ChangeIconButton(
                  icon: Icon(
                Icons.arrow_forward_ios_rounded,
                color: Colors.white,
                size: ScreenAdaper.sp(30),
              ))),
        ],
      ),
    );
  }
}
